BizKitHub
DocsAPI ReferenceLedger/bff/ledger/period/change-status
postLedgerAdmin BFF

/bff/ledger/period/change-status

Change fiscal period status (compare-and-swap)

LedgerpostBffLedgerPeriodChange-status

Parameters

JSON body

Request body

application/json
entityIdstringRequired

Accounting entity external id.

Length: 16–24
idstringRequired
Length: 24–24
toStatus"open" | "closing" | "closed" | "reviewed" | "approved"Required
rowVersionstring | integerRequired
One of 2:
Variant 1
stringinteger
Default: 0
Variant 2
integer
Range: 1–∞
reasonstring | nullOptional
One of 2:
Variant 1
string
Length: 0–2000
Variant 2
null
approvalBodystring | nullOptional
One of 2:
Variant 1
string
Length: 0–190
Variant 2
null
approvalDecisionRefstring | nullOptional
One of 2:
Variant 1
string
Length: 0–190
Variant 2
null

Response schema

1 status code documented

200Success
successbooleanRequired

Response example

application/json
{
  "success": false
}

Request example

POST /bff/ledger/period/change-status

post
curl -X POST "https://api.bizkithub.com/bff/ledger/period/change-status" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "entityId": "example_entityId",
  "id": "example_id"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key